%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Utility for transforming a bitmap into a scalable image
Name:		potrace
Version:	1.14
Release:	2
License:	GPLv2+
Group:		Graphics
Url:		http://potrace.sourceforge.net/
Source0:	http://potrace.sourceforge.net/download/%{version}/%{name}-%{version}.tar.gz
Patch0:		potrace-1.14-CVE-2016-8698.patch
BuildRequires:	pkgconfig(zlib)
Provides:	fonttracer = %{EVRD}

%description
potrace is a utility for tracing a bitmap, which means, transforming a bitmap
into a smooth, scalable image. The input is a bitmap (PBM, PGM, PPM, or BMP
format), and the output can be EPS (default), Postscript, SVG ou PGM (for easy
antialiasing). A typical use is to create EPS files from scanned data, such as
company or university logos, handwritten notes, etc. The resulting image is not
"jaggy" like a bitmap, but smooth. It can then be rendered at any resolution.

%files
%doc AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/*
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	The %{name} shared library package
Group:		System/Libraries
Suggests:	%{name}

%description -n %{libname}
potrace is a utility for tracing a bitmap, which means, transforming a bitmap
into a smooth, scalable image. The input is a bitmap (PBM, PGM, PPM, or BMP
format), and the output can be EPS (default), Postscript, SVG ou PGM (for easy
antialiasing). This is the %{name} library package: it is not needed for the
normal use of %{name}, but only for programs integrating its functionalities.

%files -n %{libname}
%doc COPYING ChangeLog
%{_libdir}/libpotrace.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	The %{name} development files
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	potrace-devel = %{EVRD}

%description -n %{devname}
This package includes the development files required to build software against
%{libname}.

%files -n %{devname}
%doc COPYING ChangeLog
%{_includedir}/potracelib.h
%{_libdir}/libpotrace.so

#----------------------------------------------------------------------------
%prep
%setup -q
%apply_patches

# fix file perm
chmod -R go+rX .

%build
%configure2_5x \
	--enable-a4 \
	--disable-static \
	--with-libpotrace
%make

%install
%makeinstall_std


%changelog

* Sun May 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.14-2
- (9c2281a) Shared library should only suggest main package


